Package com.google.android.exoplayer2.effect

## Interface RgbMatrix

- All Superinterfaces:
    `Effect`, `GlEffect`
  All Known Implementing Classes:
    `RgbAdjustment`, `RgbFilter`

      public interface RgbMatrix
      extends GlEffect

  Specifies a 4x4 RGB color transformation matrix to apply to each frame in the fragment shader.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float[]` | `getMatrix​(long presentationTimeUs, boolean useHdr)` | Returns the 4x4 RGB transformation matrix to apply to the color values of each pixel in the frame with the given timestamp.
    `default SingleFrameGlTextureProcessor` | `toGlTextureProcessor​(Context context, boolean useHdr)` | Returns a `SingleFrameGlTextureProcessor` that applies the effect.

- - ### Method Detail

    - #### getMatrix

          float[] getMatrix​(long presentationTimeUs,
                            boolean useHdr)

      Returns the 4x4 RGB transformation matrix to apply to the color values of each pixel in the frame with the given timestamp.
      Parameters:
        `presentationTimeUs` - The timestamp of the frame to apply the matrix on.
        `useHdr` - If `true`, colors will be in linear RGB BT.2020. If `false`, colors will be in linear RGB BT.709. Must be consistent with `useHdr` in `toGlTextureProcessor(Context, boolean)`.
      Returns:
        The `RgbMatrix` to apply to the frame.

    - #### toGlTextureProcessor

          default SingleFrameGlTextureProcessor toGlTextureProcessor​(Context context,
                                                                     boolean useHdr)
                                                              throws FrameProcessingException

      Description copied from interface: `GlEffect`
      Returns a `SingleFrameGlTextureProcessor` that applies the effect.
      Specified by:
        `toGlTextureProcessor` in interface `GlEffect`
      Parameters:
        `context` - A `Context`.
        `useHdr` - Whether input textures come from an HDR source. If `true`, colors will be in linear RGB BT.2020. If `false`, colors will be in linear RGB BT.709.
      Throws:
        `FrameProcessingException`